Subject: bug#36754: SSH connections to hydra-slave{1, 2, 3} fail during builds

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 07 Aug 2019 16:30:54 +0200

Ricardo Wurmus <[email-masked]> writes:

> Mark H Weaver <[email-masked]> writes:
>
>>> Mark: are the armhf nodes still operational?
>>
>> I assume so.  They all respond to pings anyway, and I haven't touched
>> them since before they were disconnected from Berlin.  (I would need to
>> boot up my other, more secure computer to try SSHing into them).
>>
>>> I would like to re-enable them again, since we desperately need the
>>> computing power with four huge branches going concurrently at the
>>> moment.
>>
>> I have no objection, but since Ludovic made the decision to disconnect
>> them, it would be good to hear from him first.
>
> Now that we should be able to SSH to them directly from Berlin we can
> try connecting and perhaps upgrading the guix-daemon on these machines.

I have removed the SSH tunnel configuration from /etc/guix/machines.scm
and re-enabled the machines.

Let’s see if this makes any difference.  If not we should try to upgrade
Guix on these build machines.

--
Ricardo